/**
 *  NavigationRules.java
 *  EJB 3 in Action
 *  Book: http://manning.com/panda2/
 *  Code: http://code.google.com/p/action-bazaar/
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package com.actionbazaar;

public enum NavigationRules {
    ITEM("item"),
    PLACE_BID("placeBid"),
    HOME("home");
    
    /**
     * Maps to a rule
     */
    private String rule;
    
    /**
     * Creates a new navigation rule
     * @param rule - rule
     */
    private NavigationRules(String rule) {
        this.rule = rule;
    }
    
    /**
     * Returns a rule instance
     * @return rule
     */
    public String getRule() {
        return rule;
    }
 
}
