/**
 *  EJB 3 in Action
 *  Book: http://manning.com/panda2/
 *  Code: http://code.google.com/p/action-bazaar/
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package com.actionbazaar.util;

/**
 * This is an enumeration of the keys in the resource bundle. The purpose of this enumeration
 * is so that we don't place keys directly into the code.
 * @author Ryan Cuprak
 */
public enum ResourceBundleKeys {

    step3_skippedSteps("step3_skippedSteps"),
    step1_emailMustMatch("step1_emailMustMatch"),
    step2_invalidPhoneNumber("step2_invalidPhoneNumber"),
    step3_selectCardType("step3_selectCardType"),
    step3_confirmationEmail("step3_confirmationEmail");

    /**
     * Key
     */
    private String key;

    /**
     * Creates a new enumeration
     * @param key - resource key
     */
    private ResourceBundleKeys(String key) {
        this.key = key;
    }

    /**
     * Returns the key
     * @return key
     */
    public String getKey() {
        return key;
    }

}
